Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

crash on start #2

Open
hanleybrand opened this issue May 15, 2019 · 2 comments

Comments

Projects
None yet
2 participants
@hanleybrand
Copy link

commented May 15, 2019

I'm crashing on startup with Fabric API 0.2.7 build 127 / Fabric Loader0.4.6 build 144

main bit:

java.lang.RuntimeException: Could not execute entrypoint stage 'main' due to errors!
	at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.logErrors(EntrypointUtils.java:45)
	at net.fabricmc.loader.entrypoint.hooks.EntrypointClient.start(EntrypointClient.java:34)
	at net.minecraft.class_310.method_1503(class_310.java)
	at net.minecraft.class_310.method_1514(class_310.java:395)
	at net.minecraft.client.main.Main.main(Main.java:154)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.fabricmc.loader.game.MinecraftGameProvider.launch(MinecraftGameProvider.java:170)
	at net.fabricmc.loader.launch.knot.Knot.init(Knot.java:127)
	at net.fabricmc.loader.launch.knot.KnotClient.main(KnotClient.java:26)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.multimc.onesix.OneSixLauncher.launchWithMainClass(OneSixLauncher.java:196)
	at org.multimc.onesix.OneSixLauncher.launch(OneSixLauncher.java:231)
	at org.multimc.EntryPoint.listen(EntryPoint.java:143)
	at org.multimc.EntryPoint.main(EntryPoint.java:34)
	Suppressed: java.lang.NoClassDefFoundError: net/fabricmc/fabric/api/tools/FabricToolTags
		at com.brand.netherthings.blocks.GlowingMushroomBlock.<init>(GlowingMushroomBlock.java:21)
		at com.brand.netherthings.content.OtherBlocks.init(OtherBlocks.java:30)
		at com.brand.netherthings.NetherThings.onInitialize(NetherThings.java:22)
		at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.lambda$logErrors$0(EntrypointUtils.java:38)
		at java.util.ArrayList.forEach(ArrayList.java:1257)
		at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.logErrors(EntrypointUtils.java:36)
		... 19 more
	Caused by: java.lang.ClassNotFoundException: net.fabricmc.fabric.api.tools.FabricToolTags
		at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
		at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
		at net.fabricmc.loader.launch.knot.KnotClassLoader.loadClass(KnotClassLoader.java:160)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
		... 25 more

full log:

MultiMC version: 0.6.5-1243


Minecraft folder is:
/Applications/MultiMC.app/Contents/MacOS/instances/fabric-1/.minecraft


Java path is:
/usr/bin/java


Java is version 1.8.0_171, using 64-bit architecture.


Main Class:
  net.fabricmc.loader.launch.knot.KnotClient

Native path:
  /Applications/MultiMC.app/Contents/MacOS/instances/fabric-1/natives

Traits:
traits FirstThreadOnMacOS

Libraries:
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl/3.2.1/lwjgl-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-jemalloc/3.2.1/lwjgl-jemalloc-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-openal/3.2.1/lwjgl-openal-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-opengl/3.2.1/lwjgl-opengl-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-glfw/3.2.1/lwjgl-glfw-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-stb/3.2.1/lwjgl-stb-3.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/patchy/1.1/patchy-1.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/oshi-project/oshi-core/1.1/oshi-core-1.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/ibm/icu/icu4j-core-mojang/51.2/icu4j-core-mojang-51.2.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/javabridge/1.0.22/javabridge-1.0.22.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/io/netty/netty-all/4.1.25.Final/netty-all-4.1.25.Final.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/google/guava/guava/21.0/guava-21.0.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/commons-io/commons-io/2.5/commons-io-2.5.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/commons-codec/commons-codec/1.10/commons-codec-1.10.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/brigadier/1.0.17/brigadier-1.0.17.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/datafixerupper/2.0.24/datafixerupper-2.0.24.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/google/code/gson/gson/2.8.0/gson-2.8.0.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/authlib/1.5.25/authlib-1.5.25.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/commons/commons-compress/1.8.1/commons-compress-1.8.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/commons-logging/commons-logging/1.1.3/commons-logging-1.1.3.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/httpcomponents/httpcore/4.3.2/httpcore-4.3.2.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/it/unimi/dsi/fastutil/8.2.1/fastutil-8.2.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/logging/log4j/log4j-api/2.8.1/log4j-api-2.8.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/apache/logging/log4j/log4j-core/2.8.1/log4j-core-2.8.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/realms/1.14.14/realms-1.14.14.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/text2speech/1.11.3/text2speech-1.11.3.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/ca/weblite/java-objc-bridge/1.0.0/java-objc-bridge-1.0.0.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/fabric-loader/0.4.6+build.144/fabric-loader-0.4.6+build.144.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/yarn/1.14+build.21/yarn-1.14+build.21.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/tiny-mappings-parser/0.1.1.8/tiny-mappings-parser-0.1.1.8.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/sponge-mixin/0.7.11.30/sponge-mixin-0.7.11.30.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/tiny-remapper/0.1.0.33/tiny-remapper-0.1.0.33.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/fabric-loader-sat4j/2.3.5.4/fabric-loader-sat4j-2.3.5.4.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/google/jimfs/jimfs/1.1/jimfs-1.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/ow2/asm/asm/7.1/asm-7.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/ow2/asm/asm-analysis/7.1/asm-analysis-7.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/ow2/asm/asm-commons/7.1/asm-commons-7.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/ow2/asm/asm-tree/7.1/asm-tree-7.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/ow2/asm/asm-util/7.1/asm-util-7.1.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/com/mojang/minecraft/1.14/minecraft-1.14-client.jar

Native libraries:
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl/3.2.1/lwjgl-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-jemalloc/3.2.1/lwjgl-jemalloc-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-openal/3.2.1/lwjgl-openal-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-opengl/3.2.1/lwjgl-opengl-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-glfw/3.2.1/lwjgl-glfw-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/org/lwjgl/lwjgl-stb/3.2.1/lwjgl-stb-3.2.1-natives-macos.jar
  /Applications/MultiMC.app/Contents/MacOS/libraries/ca/weblite/java-objc-bridge/1.0.0/java-objc-bridge-1.0.0-natives-osx.jar

Mods:
  antiqueatlas-5.0.0-alpha.1+fabric-unofficial
  appleskin-mc1.14-fabric-1.0.4
  ArcaneMagic-1.0-beta2
  bambooLadders-1.14-snapshot-1.3.0
  battle-towers-1.0.3
  Biom4st3rDispenserFarm-1.0
  cc-tweaked-1.14+Pre-Release+2-1.82.1
  clothesline-fabric-0.0.15-all
  Clothesline+Motor-1.0
  CursedChests-1.1.9
  durabilityviewer-1.14pre5-fabric0.4.1-1.4
  easyexcavate-1.3.0
  fabric-0.2.7+build.127
  fabric-language-kotlin-1.3.30+build.2
  FabricMagnet-1.14-1.0.1 (1)
  fastflyblockbreaking-fabric-1.1.0
  grid-1.14pre5-fabric0.4.1-1.3
  Harvest-1.13.2-1.2.9-22
  Hwyla-fabric-1.14+Pre-Release+3-1.9.15-59
  i-am-very-smart-0.5.0+mc1.14-pre5
  illuminations-0.1.5-1.14
  itemgot_fabric-1.0.4
  ladderapi-1.14-snapshot-1.3.1
  leaf-decay-1.0.2
  level-up-hp-3.5.1+mc1.14-pre5
  libblockattributes-0.4.0
  lil-tater-1.0.2
  mappy-0.0.11a
  ModMenu-1.4.0-71
  moreberries-1.1.3
  mousewheelie-1.0.8+1.14_Pre-Release_5
  netherthings-1.0.1
  playerplates-1.14-snapshot-1.3.0
  proletarian-0.6.0+mc1.14-pre4
  Retro-Exchange-1.14-2.1.0
  RoughlyEnoughItems-2.7.11.97
  shulkerboxtooltip-1.1.1+1.14Pre.4
  SilkAPI-1.2.4-43
  simple_pipes-0.1.3
  simpleteleporters-1.1.0-fabric
  SimpleVoidWorld-2.0.5 (1)
  sodden-1.0.0.0
  stockpile-1.0.1+1.14-Pre5
  TIS-3D-MC1.14-Snapshot-Fabric-1.5.0.4
  vanilladeathchest-1.14-1.9.0.0-fabric
  Wander-0.1.0-19

Params:
  --username  --version MultiMC5 --gameDir /Applications/MultiMC.app/Contents/MacOS/instances/fabric-1/.minecraft --assetsDir /Applications/MultiMC.app/Contents/MacOS/assets --assetIndex 1.14 --uuid  --accessToken  --userType  --versionType release

Window size: 854 x 480

Java Arguments:
[-Xdock:icon=icon.png, -Xdock:name="MultiMC: fabirc", -XstartOnFirstThread, -Xms2048m, -Xmx8192m, -Duser.language=en]


Minecraft process ID: 53940


Using onesix launcher.

[14:17:03] [main/INFO]: Loading for game Minecraft 1.14
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID simpleteleporters uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-4/WARN]: Mod ID ladderapi uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID appleskin uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID lil-tater uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-6/WARN]: Mod ID simple_pipes uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID playerplates uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-4/WARN]: Mod ID illuminations uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID sodden uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-7/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-6/WARN]: Mod ID moreberries uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-3/WARN]: Mod ID fmagnet uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-5/WARN]: Mod ID battle-towers uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-3/WARN]: Mod ID bambooladders uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-1/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-2/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-3/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-2/WARN]: Mod ID computercraft uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-6/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-5/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-3/WARN]: Mod ID vanilladeathchest uses outdated schema version: 0 < 1
[14:17:03] [ForkJoinPool-1-worker-4/WARN]: Mod ID fabric uses outdated schema version: 0 < 1
[14:17:03] [main/INFO]: [FabricLoader] Loading 53 mods: bambooladders@1.0.0, fabricloader@0.4.6+build.144, leaf-decay@1.0.2, simpleteleporters@2.0.0, sodden@1.0.0.0, dispenserfarm@1.0, simplevoidworld@1.0.0, fmagnet@${version}, multiblockapi@1.0.1-1, libblockattributes@0.4.0, cutsceneapi@1.0-beta3-1, simple_pipes@0.1.3, fastflyblockbreaking@1.1.0, iamverysmart@0.5.0+mc1.14-pre5, waila@1.9.15, autoconfig1@1.0.0-alpha4+mc1.14-pre5, leveluphp@3.5.1+mc1.14-pre5, ladderapi@1.14-snapshot-1.3.1, traverse@0.1.0-21, fabric@0.2.7+build.127, wander@0.1.0-19, proletarian@0.6.0+mc1.14-pre4, itemgot@1.0.4, tis3d@1.5.0, antiqueatlas@5.0.0-alpha.1+fabric-unofficial, arcanemagic@1.0-beta2, moreberries@1.1.3, cloth@0.3.1+build.23, netherthings@1.0.1, modmenu@1.4.0-71, playerplates@1.0.0, illuminations@0.1.5, mappy@0.0.11a, retroexchange@1.0.0, roughlyenoughitems@2.7.11+build.97, fabric-language-kotlin@1.3.30+build.2, mousewheelie@1.0.8+1.14_Pre-Release_5, silk@1.2.4-43, lil-tater@1.0.2, crochet@1.0.2-1, stockpile@1.0.1+1.14-Pre5, vanilladeathchest@1.14-1.9.0.0-Fabric, appleskin@1.0.4, clothesline-fabric@0.0.15, battle-towers@1.0.3, clothesline_motor@1.0, computercraft@${version}, cursedchests@1.1.9, cloth-config@0.2.0+build.12, durabilityviewer@1.14pre5-fabric0.4.1-1.4, grid@1.14pre5-fabric0.4.1-1.3, shulkerboxtooltip@1.1.1+1.14Pre.4, easyexcavate@1.3.0
[14:17:03] [main/WARN]: Mod `sodden` (1.0.0.0) uses more dot-separated version components than SemVer allows; support for this is currently not guaranteed.
[14:17:03] [main/WARN]: Mod `fmagnet` (${version}) does not respect SemVer - comparison support is limited.
[14:17:03] [main/WARN]: Mod `mappy` (0.0.11a) does not respect SemVer - comparison support is limited.
[14:17:03] [main/WARN]: Mod `mousewheelie` (1.0.8+1.14_Pre-Release_5) does not respect SemVer - comparison support is limited.
[14:17:03] [main/WARN]: Mod `computercraft` (${version}) does not respect SemVer - comparison support is limited.
[14:17:03] [main/WARN]: Mod `durabilityviewer` (1.14pre5-fabric0.4.1-1.4) does not respect SemVer - comparison support is limited.
[14:17:03] [main/WARN]: Mod `grid` (1.14pre5-fabric0.4.1-1.3) does not respect SemVer - comparison support is limited.
[14:17:03] [main/INFO]: SpongePowered MIXIN Subsystem Version=0.7.11 Source=file:/Applications/MultiMC.app/Contents/MacOS/libraries/net/fabricmc/sponge-mixin/0.7.11.30/sponge-mixin-0.7.11.30.jar Service=Knot/Fabric Env=CLIENT
[14:17:03] [main/INFO]: Compatibility level set to JAVA_8
[14:17:03] [main/WARN]: Mixin config iamverysmart.common.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config clothesline_motor.mixins.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config modid.client.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config net.fabricmc.fabric.mixins.client.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config leveluphp.client.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config leveluphp.common.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config mixins.traverse.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config iamverysmart.client.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config modid.common.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config net.fabricmc.fabric.mixins.common.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Mixin config modid.mixins.json does not specify "minVersion" property
[14:17:03] [main/WARN]: Reference map 'DispenserFarming-refmap.json' for biom4st3r_DispenserFarm.common.json could not be read. If this is a development environment you can ignore this message
[14:17:03] [main/WARN]: Reference map 'DispenserFarming-refmap.json' for biom4st3r_DispenserFarm.client.json could not be read. If this is a development environment you can ignore this message
[14:17:03] [main/WARN]: Error loading class: io/github/prospector/modmenu/gui/ModItem (java.lang.ClassNotFoundException: io/github/prospector/modmenu/gui/ModItem)
[14:17:03] [main/WARN]: @Mixin target io.github.prospector.modmenu.gui.ModItem was not found arcanemagic.client.json:ModItemMixin
[14:17:04] [main/INFO]: Setting user: hanleybrand
[14:17:08] [main/INFO]: Discovered plugin waila:core provided by waila at mcp.mobius.waila.addons.core.PluginCore
[14:17:08] [main/INFO]: Discovered plugin waila:vanilla provided by waila at mcp.mobius.waila.addons.minecraft.PluginMinecraft
[14:17:08] [main/INFO]: Registering plugin at mcp.mobius.waila.addons.core.PluginCore
[14:17:08] [main/INFO]: Registering plugin at mcp.mobius.waila.addons.minecraft.PluginMinecraft
[14:17:08] [main/INFO]: [STDOUT]: Initiated Ladder API!
[14:17:12] [main/INFO]: [STDOUT]: Hello World!
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:computer_normal
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:computer_advanced
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:command_computer
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:turtle_normal
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:turtle_advanced
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:speaker
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:disk_drive
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:monitor_normal
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:monitor_advanced
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:printer
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:wireless_modem_normal
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:wireless_modem_advanced
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:wired_modem_full
[14:17:12] [main/WARN]: No data fixer registered for block entity computercraft:cable
[14:17:13] [main/INFO]: [STDOUT]: [EasyExcavate] Config loaded!
---- Minecraft Crash Report ----
// My bad.

Time: 5/15/19 2:17 PM
Description: Initializing game

java.lang.RuntimeException: Could not execute entrypoint stage 'main' due to errors!
	at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.logErrors(EntrypointUtils.java:45)
	at net.fabricmc.loader.entrypoint.hooks.EntrypointClient.start(EntrypointClient.java:34)
	at net.minecraft.class_310.method_1503(class_310.java)
	at net.minecraft.class_310.method_1514(class_310.java:395)
	at net.minecraft.client.main.Main.main(Main.java:154)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.fabricmc.loader.game.MinecraftGameProvider.launch(MinecraftGameProvider.java:170)
	at net.fabricmc.loader.launch.knot.Knot.init(Knot.java:127)
	at net.fabricmc.loader.launch.knot.KnotClient.main(KnotClient.java:26)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.multimc.onesix.OneSixLauncher.launchWithMainClass(OneSixLauncher.java:196)
	at org.multimc.onesix.OneSixLauncher.launch(OneSixLauncher.java:231)
	at org.multimc.EntryPoint.listen(EntryPoint.java:143)
	at org.multimc.EntryPoint.main(EntryPoint.java:34)
	Suppressed: java.lang.NoClassDefFoundError: net/fabricmc/fabric/api/tools/FabricToolTags
		at com.brand.netherthings.blocks.GlowingMushroomBlock.<init>(GlowingMushroomBlock.java:21)
		at com.brand.netherthings.content.OtherBlocks.init(OtherBlocks.java:30)
		at com.brand.netherthings.NetherThings.onInitialize(NetherThings.java:22)
		at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.lambda$logErrors$0(EntrypointUtils.java:38)
		at java.util.ArrayList.forEach(ArrayList.java:1257)
		at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.logErrors(EntrypointUtils.java:36)
		... 19 more
	Caused by: java.lang.ClassNotFoundException: net.fabricmc.fabric.api.tools.FabricToolTags
		at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
		at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
		at net.fabricmc.loader.launch.knot.KnotClassLoader.loadClass(KnotClassLoader.java:160)
		at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
		... 25 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at net.fabricmc.loader.entrypoint.hooks.EntrypointUtils.logErrors(EntrypointUtils.java:45)
	at net.fabricmc.loader.entrypoint.hooks.EntrypointClient.start(EntrypointClient.java:34)
	at net.minecraft.class_310.method_1503(class_310.java)

-- Initialization --
Details:
Stacktrace:
	at net.minecraft.class_310.method_1514(class_310.java:395)
	at net.minecraft.client.main.Main.main(Main.java:154)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.fabricmc.loader.game.MinecraftGameProvider.launch(MinecraftGameProvider.java:170)
	at net.fabricmc.loader.launch.knot.Knot.init(Knot.java:127)
	at net.fabricmc.loader.launch.knot.KnotClient.main(KnotClient.java:26)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.multimc.onesix.OneSixLauncher.launchWithMainClass(OneSixLauncher.java:196)
	at org.multimc.onesix.OneSixLauncher.launch(OneSixLauncher.java:231)
	at org.multimc.EntryPoint.listen(EntryPoint.java:143)
	at org.multimc.EntryPoint.main(EntryPoint.java:34)

-- System Details --
Details:
	Minecraft Version: 1.14
	Operating System: Mac OS X (x86_64) version 10.14.2
	Java Version: 1.8.0_171, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 3124117240 bytes (2979 MB) / 4419747840 bytes (4215 MB) up to 7635730432 bytes (7282 MB)
	JVM Flags: 2 total; -Xms2048m -Xmx8192m
	Fabric Mods: 
		antiqueatlas: 5.0.0-alpha.1+fabric-unofficial
		appleskin: 1.0.4
		arcanemagic: 1.0-beta2
		autoconfig1: 1.0.0-alpha4+mc1.14-pre5
		bambooladders: 1.0.0
		battle-towers: 1.0.3
		cloth: 0.3.1+build.23
		cloth-config: 0.2.0+build.12
		clothesline-fabric: 0.0.15
		clothesline_motor: 1.0
		computercraft: ${version}
		crochet: 1.0.2-1
		cursedchests: 1.1.9
		cutsceneapi: 1.0-beta3-1
		dispenserfarm: 1.0
		durabilityviewer: 1.14pre5-fabric0.4.1-1.4
		easyexcavate: 1.3.0
		fabric: 0.2.7+build.127
		fabric-language-kotlin: 1.3.30+build.2
		fabricloader: 0.4.6+build.144
		fastflyblockbreaking: 1.1.0
		fmagnet: ${version}
		grid: 1.14pre5-fabric0.4.1-1.3
		iamverysmart: 0.5.0+mc1.14-pre5
		illuminations: 0.1.5
		itemgot: 1.0.4
		ladderapi: 1.14-snapshot-1.3.1
		leaf-decay: 1.0.2
		leveluphp: 3.5.1+mc1.14-pre5
		libblockattributes: 0.4.0
		lil-tater: 1.0.2
		mappy: 0.0.11a
		modmenu: 1.4.0-71
		moreberries: 1.1.3
		mousewheelie: 1.0.8+1.14_Pre-Release_5
		multiblockapi: 1.0.1-1
		netherthings: 1.0.1
		playerplates: 1.0.0
		proletarian: 0.6.0+mc1.14-pre4
		retroexchange: 1.0.0
		roughlyenoughitems: 2.7.11+build.97
		shulkerboxtooltip: 1.1.1+1.14Pre.4
		silk: 1.2.4-43
		simple_pipes: 0.1.3
		simpleteleporters: 2.0.0
		simplevoidworld: 1.0.0
		sodden: 1.0.0.0
		stockpile: 1.0.1+1.14-Pre5
		tis3d: 1.5.0
		traverse: 0.1.0-21
		vanilladeathchest: 1.14-1.9.0.0-Fabric
		waila: 1.9.15
		wander: 0.1.0-19
	Launched Version: MultiMC5
	LWJGL: 3.2.1 build 12
	OpenGL: NO CONTEXT
	GL Caps: 
	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fabric'
	Type: Client (map_client.txt)
	Resource Packs: ~~ERROR~~ NullPointerException: null
	Current Language: ~~ERROR~~ NullPointerException: null
	CPU: <unknown>
#@!@# Game crashed! Crash report saved to: #@!@# /Applications/MultiMC.app/Contents/MacOS/instances/fabric-1/.minecraft/crash-reports/crash-2019-05-15_14.17.13-client.txt
Process exited with code 255.
@hanleybrand

This comment has been minimized.

Copy link
Author

commented May 15, 2019

Is there maybe a missing dependency? Or maybe I'm using the wrong version of on of the fabrics?

crash-2019-05-15_14.17.13-client.txt

@Brandcraf06

This comment has been minimized.

Copy link
Owner

commented May 15, 2019

You must use 0.3.0 version (for 1.14.1) of the Fabric API, the mod isn't compatible with 1.14.0

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.